Dist::Zilla::Plugin::CPANFile(3pm)

NAME
Dist::Zilla::Plugin::CPANFile - produce a cpanfile prereqs file

VERSION
version 6.037

SYNOPSIS
    # dist.ini
    [CPANFile]

DESCRIPTION
This plugin will add a cpanfile file to the distribution.

PERL VERSION
This module should work on any version of perl still receiving updates from the Perl 5 Porters. This means it should work on any version of perl released in the last two to three years. (That is, if the most recently released version is v5.40, then this module should work on both v5.40 and v5.38.)

Although it may work on older versions of perl, no guarantee is made that the minimum required version will not be increased. The version may be increased for any reason, and there is no promise that patches will be accepted to lower the minimum required perl.

ATTRIBUTES

  filename
If given, parameter allows you to specify an alternate name for the generated file. It defaults, of course, to cpanfile.

    # dist.ini
    [CPANFile]
    filename = dzil-generated-cpanfile

  comment
If given, override the default "cpanfile" header comment with your own. The default comment explains that this file was generated by Dist::Zilla and tells users to edit the dist.ini file to change prereqs

    # dist.ini
    [CPANFile]
    comment = This file is generated by Dist::Zilla
    comment = Prereqs are detected automatically. You do not need to edit this file

SEE ALSO

•   Module::CPANfile

•   Carton

•   cpanm

AUTHOR
Ricardo SIGNES 😏 <cpan@semiotic.systems>

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.